package com.ruoyi.common.pay.yst.config;

import com.ruoyi.common.pay.yst.util.YstClient;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @author wjh
 * 2024/8/1
 */
@Component
@ConfigurationProperties(prefix = "yst")
@Data
public class YstConfig {

    // APP ID
    private String appId;

    // 云商通二代分配的服务商应用ID
    private String spAppId;

    // 秘钥
    private String secretKey;

    // 域名
    private String host;

    // 格式化
    private String format;

    // 字符集
    private String charset;

    // 签名方式
    private String signType;

    // API版本
    private String version;

    // 私钥
    private String privateKey;

    // 公钥
    private String publicKey;

}
