package com.ruoyi.ss.storeApply.service;

import com.ruoyi.ss.store.domain.StoreBO;
import com.ruoyi.ss.storeApply.domain.StoreApply;
import com.ruoyi.ss.storeApply.domain.bo.StoreApplyApprovalBO;
import com.ruoyi.ss.storeApply.domain.dto.StoreApplyApprovalDTO;
import com.ruoyi.ss.storeApply.domain.enums.StoreApplyType;

/**
 * @author wjh
 * 2024/8/3
 */
public interface StoreApplyConverter {

    /**
     * 创建变更申请
     */
    StoreApply toPo(StoreBO store, Long userId, StoreApplyType type);

    /**
     * 审核DTO 转为 BO
     */
    StoreApplyApprovalBO toBO(StoreApplyApprovalDTO dto);

}
